FLANG

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::semantics::ComponentIterator< componentKind >::const_iterator Class Reference

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = SymbolRef
using | difference_type = void
using | pointer = const Symbol *
using | reference = const Symbol &

## Public Member Functions
const_iterator & | operator++ ()
const_iterator | operator++ (int)
reference | operator* () const
pointer | operator-> () const
bool | operator== (const const_iterator &other) const
bool | operator!= (const const_iterator &other) const
| operator bool () const
std::string | BuildResultDesignatorName () const

## Static Public Member Functions
static const_iterator | Create (const DerivedTypeSpec &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/tools.h
- lib/Semantics/tools.cpp